Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
wallets
/
cards
Get cards
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/wallets/cards \
  --header 'Authorization: Bearer <token>'
{
  "cards": [
    {
      "card_id": "<string>",
      "amount": 50000,
      "currency": "NOK",
      "originated_by": "<string>",
      "customer_id": "<string>",
      "name": "<string>",
      "type": "gift_card",
      "status": "unused",
      "pin": {
        "format": {
          "length": 36,
          "prefix": "DINCARD:",
          "symbols": true,
          "numbers": true,
          "characters": true,
          "barcode": false
        }
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "metadata": {
        "order_id": "xk39592f"
      },
      "amount_balance": 50000,
      "amount_available": 50000,
      "amount_funds": 50000,
      "amount_drawdown": 50000,
      "amount_pending": 50000,
      "amount_reserved": 50000,
      "active_from": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

Will try to match the search to either card_id, customer_id or amount

created_at.gte
string<isodate>

Card created after (ISO 8601. We recommend using a localised ISO 8601 datetime like 2017-07-21T17:32:28Z. If a timezone is not specified we assume UTC)

created_at.lte
string<isodate>

Card created before a date (ISO 8601. We recommend using a localised ISO 8601 datetime like 2017-07-21T17:32:28Z. If a timezone is not specified we assume UTC)

type
enum<string>

Filter cards by type

Available options:
gift_card,
credit_note
status
enum<string>

Filter cards by amount and expiry status

Available options:
inactive,
unused,
partially_used,
used,
expired
expires_at.gte
string<isodate>

Card expires after (ISO 8601. We recommend using a localised ISO 8601 datetime like 2017-07-21T17:32:28Z. If a timezone is not specified we assume UTC)

expires_at.lte
string<isodate>

Card expires before a date (ISO 8601. We recommend using a localised ISO 8601 datetime like 2017-07-21T17:32:28Z. If a timezone is not specified we assume UTC)

amount_balance
integer

Exact card balance

amount_balance.gte
integer

Lower limit for filtering on card balance.

amount_balance.lte
integer

Upper limit for filtering on card balance.

amount_available
integer

Amount available on the card

amount_available.gte
integer

Lower limit for filtering on available amount on card.

amount_available.lte
integer

Upper limit for filtering on available amount on card.

currency
string[]

The currency of the card. ?currency=NOK&currency=SEK

customer
string

Filter cards by customer_id

Response

Collection of cards

cards
object[]
required
starting_after
string

The cursor to use in the next request to get the next page of results